dbXML API

## org.dbxml.core.corba
Class DocumentSetServant

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.DocumentSetPOA
                  |
                  +--org.dbxml.core.corba.DocumentSetServant

All Implemented Interfaces:
  DocumentSetOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class DocumentSetServant
extends DocumentSetPOA

DocumentSetServant CORBA wrapper for org.dbxml.core.DocumentSet For detailed documentation

See Also:
  `DocumentSet`

Constructor Summary
`DocumentSetServant(DocumentSet documentSet)`
`DocumentSetServant(DocumentSet documentSet, SymbolSerializer syms)`

Method Summary
`EncodedBuffer` `getNextDocument(long stamp)`
`boolean` `hasMoreDocuments()`
`void` `remove()`

Methods inherited from class org.dbxml.core.corba.db.DocumentSetPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSetServant

    public DocumentSetServant(DocumentSet documentSet)

### DocumentSetServant

    public DocumentSetServant(DocumentSet documentSet,
                              SymbolSerializer syms)

Method Detail

### hasMoreDocuments

    public boolean hasMoreDocuments()
                             throws APIException

### getNextDocument

    public EncodedBuffer getNextDocument(long stamp)
                                  throws APIException

### remove

    public void remove()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved